<?php

if (!defined('SMF'))
	die ('Hacking attempt...');
	
function InvisibleCounters_admin(&$admin_areas){
	global $txt;
	loadLanguage('InvisibleCounters/');	
	
	$admin_areas['config']['areas']['modsettings']['subsections']['InvisibleCounters'] = array($txt['admin_menu_InvisibleCounters']);
}

function InvisibleCounters_settings(&$subActions){
	global $txt;
	loadLanguage('InvisibleCounters/');	
	
	$subActions['InvisibleCounters'] = 'InvisibleCounters_settings2';
}

function InvisibleCounters_settings2($return_config = false){
	global $context, $txt, $scripturl;
	loadLanguage('InvisibleCounters/');	
   
	$context['page_title'] = $context['settings_title'] = $txt['InvisibleCounters_settings_title'];
	$context['post_url'] = $scripturl . '?action=admin;area=modsettings;save;sa=InvisibleCounters';
	
	$config_vars = array(
		array('desc', 'InvisibleCounters_settings_desc'),
		array('check', 'InvisibleCounters_disable_admins'),
		'',
		//Yandex id
		array('text', 'InvisibleCounters_yandex', '6'),
		array('check', 'InvisibleCounters_yandex_map'),
		array('check', 'InvisibleCounters_yandex_clicks'),
		'',
		//Google id
		array('text', 'InvisibleCounters_google', '12'),
		'',
		//StatCounter id
		array('text', 'InvisibleCounters_SC_p', '7'),
		array('text', 'InvisibleCounters_SC_s', '8'),
		'',
		//Quantcast id
		array('text', 'InvisibleCounters_Quantcast', '15'),
		array('check', 'InvisibleCounters_Quantcast_emulate'),
		'',
		//Openstat id
		array('text', 'InvisibleCounters_Openstat', '7'),
		array('select', 'InvisibleCounters_Openstat_track_links',
			Array(
				'none'	=> $txt['InvisibleCounters_Openstat_track_none'], 
				'ext'	=> $txt['InvisibleCounters_Openstat_track_ext'], 
				'all'	=> $txt['InvisibleCounters_Openstat_track_all']
				)
		),
	);

	if ($return_config)	return $config_vars;

	// Saving?
	if (isset($_GET['save'])){
		checkSession();
		$save_vars = $config_vars;
		saveDBSettings($save_vars);
		redirectexit('action=admin;area=modsettings;sa=InvisibleCounters');
	}

	prepareDBSettingContext($config_vars);
}

function InvisibleCounters_template(){
	
	global $context, $modSettings;
	
	// disable all this counters for admins (if checked in settings)
	if (!empty($modSettings['InvisibleCounters_disable_admins']) && $context['user']['is_admin'])
		return true;
	
	// chech that headers initialised
	if (!isset($context['html_headers']))
		$context['html_headers'] = '';

	// add google analytics counter
	if (!empty($modSettings['InvisibleCounters_google'])){
		$context['html_headers'] .= '
			<!-- Added by InvisibleCounters mod /-->
			<!-- Google Analytics -->
			<script type="text/javascript">
			  var _gaq = _gaq || [];
			  _gaq.push(["_setAccount", "' . $modSettings['InvisibleCounters_google'] . '"]);
			  _gaq.push(["_trackPageview"]);
			  (function() {
				var ga = document.createElement("script");
				ga.type = "text/javascript";
				ga.async = true;
				ga.src = ("https:" == document.location.protocol ? "https://ssl" : "http://www") + ".google-analytics.com/ga.js";
				var s = document.getElementsByTagName("script")[0]; s.parentNode.insertBefore(ga, s);
			  })();
			</script>
			<!-- /Google Analytics -->
			
			';
	}
			
	// add yandex.metrix counter
	if (!empty($modSettings['InvisibleCounters_yandex'])){
		$context['html_headers'] .= '
			<!-- Added by InvisibleCounters mod /-->
			<!-- Yandex.Metrika counter -->
				<script type="text/javascript">
				(function(w, c) {
					(w[c] = w[c] || []).push(function() {
						try {
							w.yaCounter' . $modSettings['InvisibleCounters_yandex'] . ' = new Ya.Metrika(' . $modSettings['InvisibleCounters_yandex'] . ');
							' . (!empty($modSettings['InvisibleCounters_yandex_map']) ? 'yaCounter' . $modSettings['InvisibleCounters_yandex'] . '.clickmap(true);' : '') .
							(!empty($modSettings['InvisibleCounters_yandex_clicks']) ? 'yaCounter' . $modSettings['InvisibleCounters_yandex'] . '.trackLinks(true);' : '') . '
						
						} catch(e) { }
					});
				})(window, "yandex_metrika_callbacks");
				</script>
				<script src="//mc.yandex.ru/metrika/watch.js" type="text/javascript" defer="defer"></script>
			<!-- /Yandex.Metrika counter -->
			
			';		
	}
			
	// add StatCounter counter
	if (!empty($modSettings['InvisibleCounters_SC_p']) && !empty($modSettings['InvisibleCounters_SC_s'])){
		$context['html_headers'] .= '
			<!-- Added by InvisibleCounters mod /-->
			<!-- Start of StatCounter Code -->
			<script type="text/javascript">
				var sc_project=' . $modSettings['InvisibleCounters_SC_p'] . '; 
				var sc_invisible=1; 
				var sc_security="' . $modSettings['InvisibleCounters_SC_s'] . '"; 
			</script>
			<script type="text/javascript" src="http://www.statcounter.com/counter/counter_xhtml.js"></script>
			<!-- End of StatCounter Code -->
	
			';
	}
	
	// add Quantcast counter
	if (!empty($modSettings['InvisibleCounters_Quantcast'])){
		$context['html_headers'] .= '
			<!-- Added by InvisibleCounters mod /-->
<!-- Quantcast Tag -->
<script type="text/javascript">
var _qevents = _qevents || [];

(function() {
var elem = document.createElement(\'script\');
elem.src = (document.location.protocol == "https:" ? "https://secure" : "http://edge") + ".quantserve.com/quant.js";
elem.async = true;
elem.type = "text/javascript";
var scpt = document.getElementsByTagName(\'script\')[0];
scpt.parentNode.insertBefore(elem, scpt);
})();

_qevents.push({
qacct:"' . $modSettings['InvisibleCounters_Quantcast'] . '"
});
</script>';

		if (!empty($modSettings['InvisibleCounters_Quantcast_emulate'])) 
				$context['html_headers'] .= '

<noscript>
<div style="display:none;">
<img src="//pixel.quantserve.com/pixel/' . $modSettings['InvisibleCounters_Quantcast'] . '.gif" border="0" height="1" width="1" alt="Quantcast"/>
</div>
</noscript>';
		
		$context['html_headers'] .= '
<!-- End Quantcast tag -->

';			
	}

	// add Openstat counter
	if (!empty($modSettings['InvisibleCounters_Openstat'])){
		$context['html_headers'] .= '
			<!-- Added by InvisibleCounters mod /-->
			<!--Openstat-->
			<!--span id="openstat' . $modSettings['InvisibleCounters_Openstat'] . '"></span/-->
			<script type="text/javascript">
			var openstat = { counter: ' . $modSettings['InvisibleCounters_Openstat'] . ', next: openstat' .
			(($modSettings['InvisibleCounters_Openstat_track_links'] == 'none')? '' : ', track_links: "' . $modSettings['InvisibleCounters_Openstat_track_links'] . '" ') . ' };
			(function(d, t, p) {
			var j = d.createElement(t); j.async = true; j.type = "text/javascript";
			j.src = ("https:" == p ? "https:" : "http:") + "//openstat.net/cnt.js";
			var s = d.getElementsByTagName(t)[0]; s.parentNode.insertBefore(j, s);
			})(document, "script", document.location.protocol);
			</script>
			<!--/Openstat-->
			';			
	}

}

?>